Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
enix

[Yêu cầu] Lisp vẽ polyline vuông góc bằng pick 2 điểm.

Các bài được khuyến nghị

Do yêu cầu công việc nên em cần 1 lisp có yêu cầu như sau:

Khi pick 2 điểm lisp sẽ tự động vẽ 1 polyline có góc vuông qua 2 điểm đó.

Nó tương tự như lệnh rec vẽ hình chữ nhật, nhưng em chỉ muốn polyline vẽ 1 nửa hcn này thôi, bên nào cũng được.

Em vẽ ra cho mấy bác dễ hình dung.

Thanks mấy bác.

http://upfile.vn/FQBtZTjmy-Lg/ve-polyline-vuong-goc-dwg.html

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Do yêu cầu công việc nên em cần 1 lisp có yêu cầu như sau:
Khi pick 2 điểm lisp sẽ tự động vẽ 1 polyline có góc vuông qua 2 điểm đó.
Nó tương tự như lệnh rec vẽ hình chữ nhật, nhưng em chỉ muốn polyline vẽ 1 nửa hcn này thôi, bên nào cũng được.
Em vẽ ra cho mấy bác dễ hình dung.
Thanks mấy bác.

 

Tôi quote thì thấy như thế này. (không thấy hình)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tôi quote thì thấy như thế này. (không thấy hình)

 

Em đã up link upfive, còn đính kèm đang bị gì ko đính kèm được >.<

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Do yêu cầu công việc nên em cần 1 lisp có yêu cầu như sau:

Khi pick 2 điểm lisp sẽ tự động vẽ 1 polyline có góc vuông qua 2 điểm đó.

Nó tương tự như lệnh rec vẽ hình chữ nhật, nhưng em chỉ muốn polyline vẽ 1 nửa hcn này thôi, bên nào cũng được.

Em vẽ ra cho mấy bác dễ hình dung.

Thanks mấy bác.

http://upfile.vn/FQBtZTjmy-Lg/ve-polyline-vuong-goc-dwg.html

Nếu hai điểm nằm ngang hoặc thẳng đứng thì sao ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nếu hai điểm nằm ngang hoặc thẳng đứng thì sao ?

 

Nếu đứng hay ngang thì vẽ polyline nối 2 điểm đó thôi bác ơi, tại em cần đo chiều dài của polyline đó.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
(defun c:plvg (/ os p1 p2 p11 p22 p3)
(setq os (getvar "osmode")) 
(setq p1 (getpoint "\n Chon diem bat dau ")
p2 (getpoint p1 "\n Chon diem thu hai "))
(setq p11 (polar p1 (* pi 0.5) 1) p22 (polar p2 0 1) p3 (inters p1 p11 p2 p22 nil))
(setvar "osmode" 0)
(vl-cmdf "pline" p1 p3 p2 "") (setvar "osmode" os) (princ))

Code nhanh cho bạn!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
(defun c:plvg (/ os p1 p2 p11 p22 p3)
(setq os (getvar "osmode")) 
(setq p1 (getpoint "\n Chon diem bat dau ")
p2 (getpoint p1 "\n Chon diem thu hai "))
(setq p11 (polar p1 (* pi 0.5) 1) p22 (polar p2 0 1) p3 (inters p1 p11 p2 p22 nil))
(setvar "osmode" 0)
(vl-cmdf "pline" p1 p3 p2 "") (setvar "osmode" os) (princ))

Code nhanh cho bạn!!!

 

 

Chuẩn rồi thanks bác nhiều nhiều ^.^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×